#-------------------------------------------------
#
# Project created by QtCreator 2019-04-10T09:12:54
#
#-------------------------------------------------

QT      += widgets dbus multimedia multimediawidgets concurrent

TEMPLATE = app
TARGET   = corefm

VERSION  = 2.8.0

LIBS    += -lcprime -lcsys

INCLUDEPATH += . io models views ui

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"
DEFINES += _UNICODE

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
	isEmpty(PREFIX) {
		PREFIX = /usr
	}

	BINDIR = $$PREFIX/bin

	target.path = $$BINDIR

	desktop.path = $$PREFIX/share/applications/
        desktop.files = "corefm.desktop"

	icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = corefm.svg

	INSTALLS += target icons desktop
}

RESOURCES += \
    icons.qrc

FORMS += \
    ui/propertiesw.ui

HEADERS += \
    global.hpp \
    io/dirtree.hpp \
    models/filesystemmodel.hpp \
    models/trashmodel.hpp \
    ui/corefm.hpp \
    ui/folderview.hpp \
    ui/nodedialog.hpp \
    ui/propertiesw.hpp \
    ui/sideview.hpp \
    ui/widgets.hpp \
    views/filesystemview.hpp \
    views/trashview.hpp

SOURCES += \
    io/dirtree.cpp \
    main.cpp \
    models/filesystemmodel.cpp \
    models/trashmodel.cpp \
    ui/contextmenu.cpp \
    ui/corefm.cpp \
    ui/folderview.cpp \
    ui/nodedialog.cpp \
    ui/propertiesw.cpp \
    ui/sideview.cpp \
    ui/widgets.cpp \
    views/filesystemview.cpp \
    views/trashview.cpp
