/*
	*
	* This file is a part of CoreFM.
	* A file manager for CuboCore Application Suite
    * Copyright 2019 CuboCore Group
	*

	*
	* This program is free software; you can redistribute it and/or modify
	* it under the terms of the GNU General Public License as published by
	* the Free Software Foundation; either version 3 of the License, or
	* (at your option) any later version.
	*

	*
	* This program is distributed in the hope that it will be useful,
	* but WITHOUT ANY WARRANTY; without even the implied warranty of
	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	* GNU General Public License for more details.
	*

	*
	* You should have received a copy of the GNU General Public License
	* along with this program; if not, write to the Free Software
	* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	* MA 02110-1301, USA.
	*
*/


#pragma once

#include "global.hpp"


class NodeDialog : public QDialog {

    Q_OBJECT

public :
    enum Mode {
        NewFolder = 0x21A7F9,
        NewFile,
        Rename
    };

    /*
        *
        * mode   - Create UI for new folder, file and text
        * dir    - The QDir instance where the new node is to be created
        * text   - If we are renaming the node, name of the old node
        * parent - The widget that calls this dialog
        *
    */
    NodeDialog( NodeDialog::Mode mode, QDir dir, QString text = QString(), QWidget *parent = 0 );

    QString name();

private:
    void setWindowProperties();

    QLineEdit *le;
    QPushButton *okBtn, *cancelBtn;
    QDir dir;
    QString data;

    NodeDialog::Mode dlgMode;

public Q_SLOTS:
    void accept();

private slots :
    void cancel();
    void handleTextChanged( QString newText );

};
